
package de.ivu.elect.presentation.person.form;

import static java.util.Collections.emptyList;


import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.List;
import java.util.function.Function;
import java.util.stream.Stream;

import org.apache.deltaspike.core.api.scope.ViewAccessScoped;

import de.ivu.elect.business.mandant.entity.Mandant;
import de.ivu.elect.business.person.entity.Tag;
import de.ivu.elect.jee.presentation.dynamicform.AbstractAutoCompleteStringOptionsProvider;

@ViewAccessScoped
public class PersonendatenPersonendatenTagAutoCompleteOptionsProvider extends AbstractAutoCompleteStringOptionsProvider<Tag> {

  private static final long serialVersionUID = 1L;

  public PersonendatenPersonendatenTagAutoCompleteOptionsProvider() {
    super();
  }

  public boolean isPersonendatenTagAutoCompleteOptionsSupported() {
    return false; // ELECT-10536
  }

  @Override
  public Collection<Tag> getTemplatesInternal() {
    return emptyList(); // ELECT-10536
  }

  @Override
  protected Function<Tag, List<String>> templateToOptions() {
    return x->emptyList();
  }


  public void setNegationErlaubt(boolean negationErlaubt) {
    resetOptions();
  }

}
